%global         momorel 6
%global         cfitsio_ver 3.370

Name:           perl-Astro-FITS-CFITSIO
Version:        1.10
Release:        %{momorel}m%{?dist}
Summary:        Perl extension for using the cfitsio library
License:        "Distributable"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Astro-FITS-CFITSIO/
Source0:        http://www.cpan.org/authors/id/P/PR/PRATZLAFF/Astro-FITS-CFITSIO-%{version}.tar.gz
NoSource:       0
Patch0:         %{name}-1.08-Makefile.PL.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  cfitsio-devel >= %{cfitsio_ver}
BuildRequires:  perl-ExtUtils-MakeMaker
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
Perl interface to William Pence's cfitsio subroutine library. For more
information on cfitsio, see http://heasarc.gsfc.nasa.gov/fitsio.

%prep
%setup -q -n Astro-FITS-CFITSIO-%{version}
%patch0 -p1

%build
export CFITSIOHEADERS=%{_includedir}/cfitsio
export CFITSIOLIBS=%{_libdir}
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog INSTALL NOTES README TODO
%{perl_vendorarch}/auto/Astro/FITS/CFITSIO
%{perl_vendorarch}/Astro/FITS/CFITSIO.pm
%{_mandir}/man3/*

%changelog
* Sat Jul  5 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10-6m)
- rebuild against cfitsio-3.370

* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10-5m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10-4m)
- rebuild against perl-5.18.2

* Sat Nov  2 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10-3m)
- rebuild against cfitsio-3.350

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10-2m)
- rebuild against perl-5.18.1

* Sat Jun  8 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.10-1m)
- update to 1.10

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-5m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-4m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-3m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-2m)
- rebuild against perl-5.16.1

* Sat Jul 28 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.09-1m)
- update to 1.09

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.08-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1.08-1m)
- update to 1.08

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.07-2m)
- rebuild against perl-5.14.2

* Fri Jul 22 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.07-1m)
- update to 1.07

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-5m)
- rebuild against perl-5.14.1

* Sat Jun 18 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-4m)
- enable to build with cfitsio-3.280

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-3m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (1.06-2m)
- rebuild for new GCC 4.6

* Thu Mar 31 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (1.06-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
